X2Go Bug report logs - #712
x2goserver: armhf unfulfilled dependency

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: Heinrich Schuchardt <xypron.glpk@gmx.de>

Date: Thu, 25 Dec 2014 17:20:01 UTC

Severity: normal

Tags: not-a-bug, pending, wontfix

Found in version 4.0.1.18

Fixed in version 4.0.1.19

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Thu, 25 Dec 2014 17:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Dec 2014 17:20:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Heinrich Schuchardt <xypron.glpk@gmx.de>
To: submit@bugs.x2go.org
Subject: x2goserver: armhf unfulfilled dependency
Date: Thu, 25 Dec 2014 18:17:33 +0100
Package: x2goserver
Version: 4.0.1.18

x2goserver depends on libdbd-pg-perl.

This package is only available for architectures amd64 and i386.

Please, change debian/control such that the dependency is recommended 
only on architectures amd64 and i386

Background:
x2goserver can run on SQLite. No need to force a dependency on PostgreSQL.

Better check while running if the Perl module can be loaded:

# imports into current package
BEGIN {
    unless (eval "use $mod") {
        warn "couldn't load $mod: $@";
    }
}

Best regards

Heinrich Schuchardt


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Thu, 25 Dec 2014 18:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 25 Dec 2014 18:20:02 GMT) Full text and rfc822 format available.

Message #10 received at 712@bugs.x2go.org (full text, mbox):

From: Heinrich Schuchardt <xypron.glpk@gmx.de>
To: 712@bugs.x2go.org
Subject: x2goserver: armhf unfulfilled dependency - patch for debian/control
Date: Thu, 25 Dec 2014 19:10:16 +0100
Find here how the debian/control should be patched.

The first hunk removes a trailing space.
The second hunk makes the dependecy only relevant for amd64 and i386.

Best regards

Heinrich Schuchardt

diff --git a/debian/control b/debian/control
index 2fee7cb..43929a6 100644
--- a/debian/control
+++ b/debian/control
@@ -1,6 +1,6 @@
 Source: x2goserver
 Section: x11
-Priority: optional
+Priority: optional
 Maintainer: X2Go Developers <x2go-dev@lists.berlios.de>
 Uploaders:
  Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
@@ -25,7 +25,7 @@ Depends:
  openssh-server,
  libconfig-simple-perl,
  pwgen,
- libdbd-pg-perl,
+ libdbd-pg-perl [amd64], libdbd-pg-perl [i386],
  libdbd-sqlite3-perl,
  libfile-basedir-perl,
  libcapture-tiny-perl,


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Tue, 06 Jan 2015 13:55:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samira Ramin Bahram <samiraramin@hotmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 06 Jan 2015 13:55:11 GMT) Full text and rfc822 format available.

Message #15 received at 712@bugs.x2go.org (full text, mbox):

From: Samira Ramin Bahram <mary.mbia@yahoo.com>
To: "samiraramin@hotmail.com" <samiraramin@hotmail.com>
Subject: Salam,
Date: Tue, 6 Jan 2015 13:50:45 +0000 (UTC)
[Message part 1 (text/plain, inline)]
Salam,
Am miss Samira from Iran, interested in you,&
wish to have you as my friend,
for friend is all about Respect, Admiration and love passion,
and sharing of ideas,
i intend to send my picture for you, if you reply me.
thanks from Samira.

samiraramin@hotmail.com

[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Thu, 08 Jan 2015 23:10:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 08 Jan 2015 23:10:05 GMT) Full text and rfc822 format available.

Message #20 received at 712@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Heinrich Schuchardt <xypron.glpk@gmx.de>, 711@bugs.x2go.org, 712@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#711: x2goserver: trusty armhf no package available
Date: Thu, 08 Jan 2015 23:06:52 +0000
[Message part 1 (text/plain, inline)]
Control: tag -1 wontfix not-a-bug

Hi Heinrich,

On  Do 25 Dez 2014 15:10:29 CET, Heinrich Schuchardt wrote:

> Package: x2goserver
> Version: 4.0.1.9
>
> I am running Lubuntu trusty on an armhf server. I tried to install  
> x2goserver as described on  
> http://wiki.x2go.org/doku.php/wiki:repositories:ubuntu
>
> I found at least the following packages are missing:
> x2goserver
> nxagent
>
> Could you, please, upload the missing packages.

The X2Go upstream team does not support the armhf architecture. There  
currently is no build infrastructure for X2Go package for armhf.

If you you have time or priority to help out, please contact me  
(sunweaver on IRC) and Michael DePaulo (aka Mike#2, mikedep on IRC)  
via #x2go on Freenode.

Tagging this issue as wontfix for now...

Thanks,
Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Added tag(s) not-a-bug and wontfix. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to 712-submit@bugs.x2go.org. (Thu, 08 Jan 2015 23:10:05 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Fri, 09 Jan 2015 09:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Heinrich Schuchardt" <xypron.glpk@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 09:20:02 GMT) Full text and rfc822 format available.

Message #27 received at 712@bugs.x2go.org (full text, mbox):

From: "Heinrich Schuchardt" <xypron.glpk@gmx.de>
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>, 711@bugs.x2go.org, 712@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#711: x2goserver: trusty armhf no package available
Date: Fri, 9 Jan 2015 10:15:07 +0100
Hello Mike,

I built the missing packages and put them on repository http://debian.xypron/trusty/ (all and armhf).

As build system I used a Wandboard Quad.

The system used as x2go server is a Banana Pi.

I did not experience any problems using the software.

Best regards

Heinrich Schuchardt

http://www.xypron.de

Am 09.01.15 um 00:06 schrieb Mike Gabriel

> Control: tag -1 wontfix not-a-bug
> 
> 
> 
> Hi Heinrich,
> 
> 
> 
> On  Do 25 Dez 2014 15:10:29 CET, Heinrich Schuchardt wrote:
> 
> 
> 
> > Package: x2goserver
> 
> > Version: 4.0.1.9
> 
> >
> 
> > I am running Lubuntu trusty on an armhf server. I tried to install  
> 
> > x2goserver as described on  
> 
> > http://wiki.x2go.org/doku.php/wiki:repositories:ubuntu
> 
> >
> 
> > I found at least the following packages are missing:
> 
> > x2goserver
> 
> > nxagent
> 
> >
> 
> > Could you, please, upload the missing packages.
> 
> 
> 
> The X2Go upstream team does not support the armhf architecture. There  
> 
> currently is no build infrastructure for X2Go package for armhf.
> 
> 
> 
> If you you have time or priority to help out, please contact me  
> 
> (sunweaver on IRC) and Michael DePaulo (aka Mike#2, mikedep on IRC)  
> 
> via #x2go on Freenode.
> 
> 
> 
> Tagging this issue as wontfix for now...
> 
> 
> 
> Thanks,
> 
> Mike
> 
> 
> 
> -- 
> 
> 
> 
> DAS-NETZWERKTEAM
> 
> mike gabriel, herweg 7, 24357 fleckeby
> 
> fon: +49 (1520) 1976 148
> 
> 
> 
> GnuPG Key ID 0x25771B31
> 
> mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de
> 
> 
> 
> freeBusy:
> 
> https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Fri, 09 Jan 2015 11:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 11:10:03 GMT) Full text and rfc822 format available.

Message #32 received at 712@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Heinrich Schuchardt <xypron.glpk@gmx.de>
Cc: 711@bugs.x2go.org, 712@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#711: x2goserver: trusty armhf no package available
Date: Fri, 09 Jan 2015 11:06:30 +0000
[Message part 1 (text/plain, inline)]
Hi Heinrich,

On  Fr 09 Jan 2015 10:15:07 CET, Heinrich Schuchardt wrote:

> Hello Mike,
>
> I built the missing packages and put them on repository  
> http://debian.xypron/trusty/ (all and armhf).
>
> As build system I used a Wandboard Quad.
>
> The system used as x2go server is a Banana Pi.
>
> I did not experience any problems using the software.
>
> Best regards
>
> Heinrich Schuchardt
>
> http://www.xypron.de

Henning Heinold and I are currently setting up an armhf task force.  
Would you be willing to join in?

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Fri, 09 Jan 2015 21:05:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 21:05:04 GMT) Full text and rfc822 format available.

Message #37 received at 712@bugs.x2go.org (full text, mbox):

From: Heinrich Schuchardt <xypron.glpk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 711@bugs.x2go.org, 712@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#711: x2goserver: trusty armhf no package available
Date: Fri, 09 Jan 2015 21:59:06 +0100
>
> Henning Heinold and I are currently setting up an armhf task force.
> Would you be willing to join in?
>
> Mike
>
Yes, I would like to contribute to the armhf task force.

#711 is partly duplicate to #560.
http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=560

Best regards

Heinrich Schuchardt


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Fri, 09 Jan 2015 23:55:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Jan 2015 23:55:03 GMT) Full text and rfc822 format available.

Message #42 received at 712@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Heinrich Schuchardt <xypron.glpk@gmx.de>
Cc: 711@bugs.x2go.org, 712@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#711: x2goserver: trusty armhf no package available
Date: Fri, 09 Jan 2015 23:52:57 +0000
[Message part 1 (text/plain, inline)]
Control: forcemerge #711 #560

Hi Heinrich,

On  Fr 09 Jan 2015 21:59:06 CET, Heinrich Schuchardt wrote:

>>
>> Henning Heinold and I are currently setting up an armhf task force.
>> Would you be willing to join in?
>>
>> Mike
>>
> Yes, I would like to contribute to the armhf task force.
>
> #711 is partly duplicate to #560.
> http://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=560

The idea is to use our X2Go buildscripts [1] (i.e. build-deb-package)  
for building armhf packages.

Question to you, can you contribute amd64 hardware (for qemubuilder)  
where those build processes can run on (as Jenkins slaves)?

Alternatively, can you provide physical hardware?

Depending on your answers, we should set up such a box at your place  
or extend the build env on japsand.x2go.org.

I understand that you are interested in Ubuntu builds (whereas others  
are interested in Debian or Raspian builds).

Maybe we should put up a wiki page or something for collecting the  
demands and the options/possibilities we have.

If we go the amd64 + qemubuilder approach, does anyone have a recent  
armhf kernel that runs in qemu and can handle a Debian sid, or latest  
Ubuntu?

I would love to avoid stuffing non-native build jobs on  
japsand.x2go.org, as the machine also acts as our webserver (in a  
chroot). To many build load will block our wiki from being responsive  
(which we want to avoid).

Greets,
Mike



-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Mon, 12 Jan 2015 05:10:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 05:10:02 GMT) Full text and rfc822 format available.

Message #47 received at 712@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: 712-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 712@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 12 Jan 2015 06:05:43 +0100 (CET)
tag #712 pending
fixed #712 4.0.1.19
thanks

Hello,

X2Go issue #712 (src:x2goserver) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=729d18d

The issue will most likely be fixed in src:x2goserver (4.0.1.19).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 729d18de14ae78be82c308dface07104db5ee8c1
Author: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Date:   Mon Jan 12 06:03:47 2015 +0100

    Don't depend on libdb-pg-perl for armhf builds. (Fixes: #712). Thanks to Heinrich Schuchardt for providing information on this.
    
    Conflicts:
    	debian/control

diff --git a/debian/changelog b/debian/changelog
index da3d137..bfc70f5 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -66,6 +66,8 @@ x2goserver (4.0.1.19-0x2go1) UNRELEASED; urgency=medium
     + Add D (x2goserver): libfile-which-perl.
     + Add C (x2goserver: x2godesktopsharing (<< 3.1.1.2-0~). (Fixes: #700).
     + Bump Standards: to 3.9.6. No changes needed.
+    - Don't depend on libdb-pg-perl for armhf builds. (Fixes: #712). Thanks to
+      Heinrich Schuchardt for providing information on this.
   * debian/x2goserver.docs:
     + Install README.i18n file into bin:package x2goserver.
   * x2goserver.spec:


Added tag(s) pending. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 12 Jan 2015 05:10:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.19. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Mon, 12 Jan 2015 05:10:03 GMT) Full text and rfc822 format available.

Message sent on to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug#712. (Mon, 12 Jan 2015 05:10:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Mon, 12 Jan 2015 06:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 Jan 2015 06:45:03 GMT) Full text and rfc822 format available.

Message #59 received at 712@bugs.x2go.org (full text, mbox):

From: Heinrich Schuchardt <xypron.glpk@gmx.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 712@bugs.x2go.org
Cc: control@bugs.x2go.org, 712@bugs.x2go.org
Subject: Re: Bug#712: X2Go issue (in src:x2goserver) has been marked as pending for release
Date: Mon, 12 Jan 2015 07:42:00 +0100
Hello Mike,

On 12.01.2015 06:05, Mike Gabriel wrote:> tag #712 pending
> fixed #712 4.0.1.19
> thanks

the missing dependency occurs on Ubuntu Trusty
but does not occur on Debian Jessie.

Maybe we want a line in debian/control like

# FIXME: remove restriction to x86/amd64 when package available

Best regards

Heinrich Schuchardt



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Tue, 10 Feb 2015 01:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gulf International Bank <gulfinternationalbank60@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 10 Feb 2015 01:20:02 GMT) Full text and rfc822 format available.

Message #64 received at 712-submit@bugs.x2go.org (full text, mbox):

From: Gulf International Bank <paola.sangiorgi@auslromagna.it>
To: undisclosed-recipients:;
Date: Tue, 10 Feb 2015 02:07:10 +0100 (CET)
[Message part 1 (text/plain, inline)]

-- 

Our bank offers personal and business loan at 2% interest rate. If interested, contact us via (gulfinternationalbank60@gmail.com) for further details. MD, GIB 
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Mon, 23 Feb 2015 16:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to wernermiller124@hotmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 23 Feb 2015 16:45:02 GMT) Full text and rfc822 format available.

Message #69 received at 712@bugs.x2go.org (full text, mbox):

From: werner miller <johnaliu11@gmail.com>
To: undisclosed-recipients:;
Subject: Darlehen bieten
Date: Mon, 23 Feb 2015 17:40:34 +0100
-- 
ACHTUNG !!!!
Sie benötigen dringend Darlehen? zu zahlen Ihre Rechnung oder ein
Unternehmen zu gründen, geben wir aus Darlehen mit einer Rate von 3%,
kontaktieren Sie uns heute über wernermiller124@hotmail.com


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#712; Package x2goserver. (Tue, 24 Feb 2015 20:55:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 24 Feb 2015 20:55:23 GMT) Full text and rfc822 format available.

Message #74 received at 712@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 712-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 712@bugs.x2go.org
Subject: X2Go issue (in src:x2goserver) has been marked as closed
Date: Tue, 24 Feb 2015 21:54:14 +0100 (CET)
close #712
thanks

Hello,

we are very hopeful that X2Go issue #712 reported by you
has been resolved in the new release (4.0.1.19) of the
X2Go source project »src:x2goserver«.

You can view the complete changelog entry of src:x2goserver (4.0.1.19)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goserver.

    http://code.x2go.org/gitweb?p=x2goserver.git;a=commitdiff;h=49c91751e560ad09ab4490cc3bd6687509c05755;hp=724d2eefe399485a71e79c705a0aad125e853230

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goserver.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goserver
Version: 4.0.1.19-0x2go1
Status: RELEASE
Date: Tue, 24 Feb 2015 21:49:22 +0100
Fixes: 405 632 633 638 644 664 668 671 672 675 676 678 697 698 700 712 715 727 728 770
Changes: 
 x2goserver (4.0.1.19-0x2go1) RELEASED; urgency=medium
 .
   [ Mike Gabriel ]
   * New upstream version (4.0.1.19):
     - Use File::Which to detect if sshfs command is available
       before trying to mount a client-side folder.
     - Be a bit more tolerant when trying to detect if a
       desktop icon is to be removed (using regexp, not
       eq).
     - Xsession script: Prevent bash failures when sourcing external bash
       scripts beyond our scope. (Fixes: #632, #675).
     - x2gogetapps: Support scanning of sub-directories when searching for
       .desktop files. We allow to dive down one level into subdirs, we on
       purpose do not recursively dive into the complete subtree. (Fixes: #633).
     - Make man2html an optional tool. Don't fail if it is missing on the
       build system (required for openSUSE/SLES builds).
     - Fix x2goserver-xsession/Makefile on SUSE. Detect SUSE distro and create
       Xsession related directory symlinks (xinitrc.d and Xclients.d).
     - Hack for x2goserver-xsession/Makefile during SUSE builds. If
       directoy /usr/share/doc/packages/brp-check-suse is present, the build env
       is also considered to be a SUSE system.
     - Trigger Xsession code for SUSE systems (look for /etc/SUSE-brand or
       /etc/SuSE-release for SUSE system recognition). (Fixes: #671).
     - x2gosqlitewrapper.c: Fix rpmlint error: no-return-in-nonvoid-function.
       Return the exitcode of execve().
     - Fix gramma in error message (in x2goresume-session).
     - x2gocleansessions: Call x2gormforward also on terminated sessions. This
       will make sure that re-assigned ports are really available on new session
       startup.
     - x2golistsessions(_root): Only update session state in session DB if
       x2goagent's state file really exists. This addresses a problem that occurs
       when x2golistsessions gets called via an x2gobroker-agent. The
       x2golistsessions script may show session states (--all-servers) of
       sessions on other servers that have session states files on their remote
       /tmp dirs. These files are not accessible for that x2golistsessions script
       and should simply be ignored. (Fixes: #638).
     - Provide pam_namespace support for has_agent_state_file() function.
     - Fix missing session list output if state file does not exist on the
       machine that runs x2golistsessions(_root).
     - Accept more verbose "DENY" output from x2godesktopsharing.
     - Make sure that all "su"-to-user-contexts use /bin/sh for wrapping around
       the executed command (in x2gocleansessions and x2golistsessions_root).
     - Also enforce /bin/sh as shell in su command in x2goprint.
     - README.i18n: Add file that explains the translation workflow for
       this package. Thanks to Mark Pedersen-Cook for drafting this file.
     - Make SSH agent forwarding work after having reconnected via SSH and
       having resumed a session. (Fixes: #672). Thanks to Robert Siemer for
       coming up with that idea.
     - Fix cross-user X2Go Desktop Sharing after being broken by implementing
       clipboard mode feature (and probably other code changes).
     - Document session startup / resumption failures (and their reasons) in
       server-side log output.
     - Handle AD domain users gracefully when X2Go is used with SQLite DB
       backend. (Fixes: #664).
     - Improve sanitizer, use 'x2gosid' sanitizer for session IDs everywhere.
       Drop unused 'pnixusername' sanitizer in 4.0.1.x release of X2Go Server.
     - Allow usernames in session IDs of length 48 chars.
     - Start sshfs with a timeout of 30 seconds (because it never finishes if
       something is wrong with the client-side TCP socket). Also remove/unmount
       mountpoints erroneously registered sshfs mountpoints if sshfs command
       times out. Furthermore, print errors to STDERR (not STDOUT). (Fixes:
       #405).
     - Handle execution of ss command from Perl script x2golistdesktops in a way
       that not only works on Debian, but also on Fedora et al. (Fixes: #727).
     - Provide legacy support for old File::Path packages in x2godbadmin.
       (Fixes: #715).
     - Fix wrong evocation of x2gosyslog ("error" -> "err").
     - Use "undef $dbh" instead of "$dbh->disconnect()". Fixes SQLite3 issues on
       SLE 11.x.
     - Only call $dbh->sqlite_busy_timeout() if the $dbh object is capable of
       that. Works around a too-old DBD::SQLite package on SLE 11.x.
     - Legacy for applications (and X2Go scripts) that expect $SSH_CLIENT to be
       set in the X2Go session's environment. (Fixes: #644).
     - Add man page for x2gogetapps. Weave into that a security / disclaimer
       message as proposed by Stefan Baur. (Fixes: #728).
   * debian/control:
     + Add D (x2goserver): libfile-which-perl.
     + Add C (x2goserver: x2godesktopsharing (<< 3.1.1.2-0~). (Fixes: #700).
     + Bump Standards: to 3.9.6. No changes needed.
     + Don't depend on libdb-pg-perl for armhf builds. (Fixes: #712). Thanks to
       Heinrich Schuchardt for providing information on this.
     + Upgrade to D again (bin:package x2goserver): xfonts-base (Fixes: #770).
   * debian/x2goserver.docs:
     + Install README.i18n file into bin:package x2goserver.
   * x2goserver.spec:
     + Add to R: perl(File::Which).
     + Additionally adapt to building on openSUSE/SLES.
     + No shell expansion possible in obs-build, detect perl version only for
       non-SUSE builds.
     + Add to R: x2goserver-xsession.
     + Don't mention /etc/x2go/x2gosql/sql twice (directly and with wildcard).
     + No %{_sysconfdir}/x2go/Xclients.d on SUSE systems.
     + Use %{_localstatedir} instead of %{_sharedstatedir}.
     + Use proper if... then... clauses.
     + For SUSE builds: Add to R: shadow (useradd, groupadd).
     + Replace historical "egrep" with "grep -E".
     + Systemd support for SUSE >= 12.10.
     + Set %defattr macro for every bin:package.
     + SUSE and Fedora/RHEL have different package group names.
     + Add x2goserver-rpmlintrc file to handle some rpmlint errors and warnings.
     + SUSE has openssh, but no openssh-server.
     + Add to R (x2goserver): perl-X2Go-Server.
     + Add to R (diverse): perl(Config::Simple), perl(Switch) and
       perl(Capture::Tiny).
     + Add to R (x2goserver): perl(File::BaseDir).
     + Don't hard-code /var/lib/ in $HOME path of to-be-created user
       "x2gouser".
     + Add to BR: findutils.
     + For Fedora-like systems, don't make x2goserver bin:package authoritative
       for non-X2Go directories. (Fixes: #676).
     + Remove macro call %systemd_pre for Fedora/EPEL-7 builds. No such macro in
       Fedora/RHEL7. (Fixes: 698).
     + Create system user x2gouser with $HOME in /var/lib/x2go. (Fixes: #697).
     + Always set BuildRoot: parameter.
     + BuildRequires: SUSE <= 11.3 has xorg-x11, not xinit.
     + Requires (x2goserver-xsession): SUSE <= 11.3 has xorg-x11, not xinit.
     + No Bashisms in scriptlets.
     + rpmlint requires shared-mime-info at build time on SLE <= 11.3.
     + "%set_permissions" / "%verify_permissions" macros are not know in SLE <=
       11.3. Using "%run permissions" and "%verify permissions" instead.
     + On SUSE, add permissions.d/x2goserver.
     + Fix SQLite wrapper permissions (02775 -> 02755)
     + Use if then clauses for creating user/group x2goprint.
 .
   [ Matthew L. Dailey ]
   * New upstream version (4.0.1.19):
     - x2gocleansessions: Redirect stdin, stdout and stderr to /dev/null, test
       for the existence of the file descriptor before issuing the close,
       only capture the file descriptor backreference in the regex and
       send any close failures to syslog. (Fixes: #678).
 .
   [ Lars Wendler ]
   * New upstream version (4.0.1.19):
     - Use "printf" instead of "echo -n". (Fixes: #668).


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 24 Feb 2015 20:55:41 GMT) Full text and rfc822 format available.

Notification sent to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug acknowledged by developer. (Tue, 24 Feb 2015 20:55:42 GMT) Full text and rfc822 format available.

Message sent on to Heinrich Schuchardt <xypron.glpk@gmx.de>:
Bug#712. (Tue, 24 Feb 2015 20:56:26 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Wed, 25 Mar 2015 06:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sat Apr 20 14:24:24 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.